POST
/
platformapi
/
chainup
/
open
/
wallet
/
symbolMapping
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/symbolMapping
{
    "code": "0",
    "msg": "suc",
    "data": {
        "count":50,
        "page":1,
        "pageSize":2,
        "walletType":3
        "list":[
            {
                "symbol":"BTCTEST1760",
                "walletSymbol":"BTC_TEST"
            },
            {
                "symbol":"ETHTEST1760",
                "walletSymbol":"ETH_TEST5"
            }
        ]
    }
}

Query Parameters

appKey
string
required

Merchant AppKey

Example: xxx_xxx

sign
string
required

Signature

Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd

walletType
number
required

Wallet type( 1 : custody 2 : wapi 3 : fireblocks 4: custody mpc).

Example: 1

symbol
string

ChainUP symbol name

walletSymbol
string

ChainUP wallet symbol name

page
number
required

Page number for pagination, defaults to 1 if not specified.

Example: 1

pageSize
number
required

Number of items per page, defaults to 100 if not specified.

Example: 10

Response

200 - application/json
code
string

Return code.

Example: 0

msg
string

Success or failure message

Example: Success

data
object